Skip Menu |
 

This queue is for tickets about the Module-Install CPAN distribution.

Report information
The Basics
Id: 77695
Status: new
Priority: 0/
Queue: Module-Install

People
Owner: Nobody in particular
Requestors: berle [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: (no value)
Fixed in: (no value)



Subject: Module::Install should not use XS modules
Download (untitled) / with headers
text/plain 509b
Due to the peculiar state of perl cross compilation at the moment, modules doing installation duties such as MI should not use XS modules. This is because when cross compiling perl modules, even those not included in core, you have to use miniperl which does not support XS. MI has a rather trivial use of XS: It loads the Fcntl module to get two constants, LOCK_EX and SEEK_SET. These constants are the same on all systems that I am aware of, and should be safely replaceable with their numeric equivalents.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.